--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = public, pg_catalog;

ALTER TABLE ONLY public.auth_user_user_permissions DROP CONSTRAINT user_id_refs_id_4dc23c39;
ALTER TABLE ONLY public.auth_user_groups DROP CONSTRAINT user_id_refs_id_40c41112;
ALTER TABLE ONLY public."Directorio_directorio" DROP CONSTRAINT padre_id_refs_id_687597bd;
ALTER TABLE ONLY public.auth_group_permissions DROP CONSTRAINT group_id_refs_id_f4b32aac;
ALTER TABLE ONLY public.django_admin_log DROP CONSTRAINT django_admin_log_user_id_fkey;
ALTER TABLE ONLY public.django_admin_log DROP CONSTRAINT django_admin_log_content_type_id_fkey;
ALTER TABLE ONLY public.auth_permission DROP CONSTRAINT content_type_id_refs_id_d043b34a;
ALTER TABLE ONLY public.auth_user_user_permissions DROP CONSTRAINT auth_user_user_permissions_permission_id_fkey;
ALTER TABLE ONLY public.auth_user_groups DROP CONSTRAINT auth_user_groups_group_id_fkey;
ALTER TABLE ONLY public.auth_group_permissions DROP CONSTRAINT auth_group_permissions_permission_id_fkey;
ALTER TABLE ONLY public."Directorio_directorio" DROP CONSTRAINT "Directorio_directorio_nivel_id_fkey";
ALTER TABLE ONLY public."Directorio_contacto" DROP CONSTRAINT "Directorio_contacto_persona_id_fkey";
ALTER TABLE ONLY public."Directorio_contacto" DROP CONSTRAINT "Directorio_contacto_dependencia_id_fkey";
ALTER TABLE ONLY public."Directorio_contacto" DROP CONSTRAINT "Directorio_contacto_cargo_id_fkey";
DROP INDEX public.django_session_session_key_like;
DROP INDEX public.django_session_expire_date;
DROP INDEX public.django_admin_log_user_id;
DROP INDEX public.django_admin_log_content_type_id;
DROP INDEX public.auth_user_username_like;
DROP INDEX public.auth_user_user_permissions_user_id;
DROP INDEX public.auth_user_user_permissions_permission_id;
DROP INDEX public.auth_user_groups_user_id;
DROP INDEX public.auth_user_groups_group_id;
DROP INDEX public.auth_permission_content_type_id;
DROP INDEX public.auth_group_permissions_permission_id;
DROP INDEX public.auth_group_permissions_group_id;
DROP INDEX public.auth_group_name_like;
DROP INDEX public."Directorio_directorio_padre_id";
DROP INDEX public."Directorio_directorio_nivel_id";
DROP INDEX public."Directorio_contacto_persona_id";
DROP INDEX public."Directorio_contacto_dependencia_id";
DROP INDEX public."Directorio_contacto_cargo_id";
ALTER TABLE ONLY public.django_site DROP CONSTRAINT django_site_pkey;
ALTER TABLE ONLY public.django_session DROP CONSTRAINT django_session_pkey;
ALTER TABLE ONLY public.django_content_type DROP CONSTRAINT django_content_type_pkey;
ALTER TABLE ONLY public.django_content_type DROP CONSTRAINT django_content_type_app_label_model_key;
ALTER TABLE ONLY public.django_admin_log DROP CONSTRAINT django_admin_log_pkey;
ALTER TABLE ONLY public.auth_user DROP CONSTRAINT auth_user_username_key;
ALTER TABLE ONLY public.auth_user_user_permissions DROP CONSTRAINT auth_user_user_permissions_user_id_permission_id_key;
ALTER TABLE ONLY public.auth_user_user_permissions DROP CONSTRAINT auth_user_user_permissions_pkey;
ALTER TABLE ONLY public.auth_user DROP CONSTRAINT auth_user_pkey;
ALTER TABLE ONLY public.auth_user_groups DROP CONSTRAINT auth_user_groups_user_id_group_id_key;
ALTER TABLE ONLY public.auth_user_groups DROP CONSTRAINT auth_user_groups_pkey;
ALTER TABLE ONLY public.auth_permission DROP CONSTRAINT auth_permission_pkey;
ALTER TABLE ONLY public.auth_permission DROP CONSTRAINT auth_permission_content_type_id_codename_key;
ALTER TABLE ONLY public.auth_group DROP CONSTRAINT auth_group_pkey;
ALTER TABLE ONLY public.auth_group_permissions DROP CONSTRAINT auth_group_permissions_pkey;
ALTER TABLE ONLY public.auth_group_permissions DROP CONSTRAINT auth_group_permissions_group_id_permission_id_key;
ALTER TABLE ONLY public.auth_group DROP CONSTRAINT auth_group_name_key;
ALTER TABLE ONLY public."Directorio_directorio" DROP CONSTRAINT "Directorio_directorio_pkey";
ALTER TABLE ONLY public."Directorio_directorio" DROP CONSTRAINT "Directorio_directorio_padre_id_nombre_key";
ALTER TABLE ONLY public."Directorio_contacto" DROP CONSTRAINT "Directorio_contacto_pkey";
ALTER TABLE ONLY public."Directorio_cat_persona" DROP CONSTRAINT "Directorio_cat_persona_pkey";
ALTER TABLE ONLY public."Directorio_cat_nivel" DROP CONSTRAINT "Directorio_cat_nivel_pkey";
ALTER TABLE ONLY public."Directorio_cat_nivel" DROP CONSTRAINT "Directorio_cat_nivel_nombre_key";
ALTER TABLE ONLY public."Directorio_cat_cargos" DROP CONSTRAINT "Directorio_cat_cargos_pkey";
ALTER TABLE ONLY public."Directorio_cat_cargos" DROP CONSTRAINT "Directorio_cat_cargos_nombre_key";
ALTER TABLE public.django_site ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.django_content_type ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.django_admin_log ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.auth_user_user_permissions ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.auth_user_groups ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.auth_user ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.auth_permission ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.auth_group_permissions ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.auth_group ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public."Directorio_directorio" ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public."Directorio_contacto" ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public."Directorio_cat_persona" ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public."Directorio_cat_nivel" ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public."Directorio_cat_cargos" ALTER COLUMN id DROP DEFAULT;
DROP SEQUENCE public.django_site_id_seq;
DROP TABLE public.django_site;
DROP TABLE public.django_session;
DROP SEQUENCE public.django_content_type_id_seq;
DROP TABLE public.django_content_type;
DROP SEQUENCE public.django_admin_log_id_seq;
DROP TABLE public.django_admin_log;
DROP SEQUENCE public.auth_user_user_permissions_id_seq;
DROP TABLE public.auth_user_user_permissions;
DROP SEQUENCE public.auth_user_id_seq;
DROP SEQUENCE public.auth_user_groups_id_seq;
DROP TABLE public.auth_user_groups;
DROP TABLE public.auth_user;
DROP SEQUENCE public.auth_permission_id_seq;
DROP TABLE public.auth_permission;
DROP SEQUENCE public.auth_group_permissions_id_seq;
DROP TABLE public.auth_group_permissions;
DROP SEQUENCE public.auth_group_id_seq;
DROP TABLE public.auth_group;
DROP SEQUENCE public."Directorio_directorio_id_seq";
DROP TABLE public."Directorio_directorio";
DROP SEQUENCE public."Directorio_contacto_id_seq";
DROP TABLE public."Directorio_contacto";
DROP SEQUENCE public."Directorio_cat_persona_id_seq";
DROP TABLE public."Directorio_cat_persona";
DROP SEQUENCE public."Directorio_cat_nivel_id_seq";
DROP TABLE public."Directorio_cat_nivel";
DROP SEQUENCE public."Directorio_cat_cargos_id_seq";
DROP TABLE public."Directorio_cat_cargos";
DROP EXTENSION plpgsql;
DROP SCHEMA public;
--
-- Name: public; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA public;


ALTER SCHEMA public OWNER TO postgres;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: Directorio_cat_cargos; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE "Directorio_cat_cargos" (
    id integer NOT NULL,
    clave character varying(30) NOT NULL,
    nombre character varying(150) NOT NULL
);


ALTER TABLE public."Directorio_cat_cargos" OWNER TO "Directorio";

--
-- Name: Directorio_cat_cargos_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE "Directorio_cat_cargos_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."Directorio_cat_cargos_id_seq" OWNER TO "Directorio";

--
-- Name: Directorio_cat_cargos_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE "Directorio_cat_cargos_id_seq" OWNED BY "Directorio_cat_cargos".id;


--
-- Name: Directorio_cat_nivel; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE "Directorio_cat_nivel" (
    id integer NOT NULL,
    nombre character varying(50) NOT NULL
);


ALTER TABLE public."Directorio_cat_nivel" OWNER TO "Directorio";

--
-- Name: Directorio_cat_nivel_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE "Directorio_cat_nivel_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."Directorio_cat_nivel_id_seq" OWNER TO "Directorio";

--
-- Name: Directorio_cat_nivel_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE "Directorio_cat_nivel_id_seq" OWNED BY "Directorio_cat_nivel".id;


--
-- Name: Directorio_cat_persona; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE "Directorio_cat_persona" (
    id integer NOT NULL,
    foto character varying(100),
    nombre character varying(200) NOT NULL,
    apellido_paterno character varying(100) NOT NULL,
    apellido_materno character varying(100) NOT NULL
);


ALTER TABLE public."Directorio_cat_persona" OWNER TO "Directorio";

--
-- Name: Directorio_cat_persona_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE "Directorio_cat_persona_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."Directorio_cat_persona_id_seq" OWNER TO "Directorio";

--
-- Name: Directorio_cat_persona_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE "Directorio_cat_persona_id_seq" OWNED BY "Directorio_cat_persona".id;


--
-- Name: Directorio_contacto; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE "Directorio_contacto" (
    id integer NOT NULL,
    dependencia_id integer NOT NULL,
    persona_id integer NOT NULL,
    cargo_id integer NOT NULL,
    correo character varying(100) NOT NULL,
    telefono character varying(15) NOT NULL,
    extencion character varying(5),
    celular character varying(15),
    direccion character varying(300) NOT NULL,
    pagina_web character varying(400),
    longitud numeric(15,5),
    latitud numeric(15,5)
);


ALTER TABLE public."Directorio_contacto" OWNER TO "Directorio";

--
-- Name: Directorio_contacto_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE "Directorio_contacto_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."Directorio_contacto_id_seq" OWNER TO "Directorio";

--
-- Name: Directorio_contacto_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE "Directorio_contacto_id_seq" OWNED BY "Directorio_contacto".id;


--
-- Name: Directorio_directorio; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE "Directorio_directorio" (
    id integer NOT NULL,
    padre_id integer,
    nombre character varying(200) NOT NULL,
    nivel_id integer NOT NULL
);


ALTER TABLE public."Directorio_directorio" OWNER TO "Directorio";

--
-- Name: Directorio_directorio_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE "Directorio_directorio_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."Directorio_directorio_id_seq" OWNER TO "Directorio";

--
-- Name: Directorio_directorio_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE "Directorio_directorio_id_seq" OWNED BY "Directorio_directorio".id;


--
-- Name: auth_group; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE auth_group (
    id integer NOT NULL,
    name character varying(80) NOT NULL
);


ALTER TABLE public.auth_group OWNER TO "Directorio";

--
-- Name: auth_group_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE auth_group_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.auth_group_id_seq OWNER TO "Directorio";

--
-- Name: auth_group_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE auth_group_id_seq OWNED BY auth_group.id;


--
-- Name: auth_group_permissions; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE auth_group_permissions (
    id integer NOT NULL,
    group_id integer NOT NULL,
    permission_id integer NOT NULL
);


ALTER TABLE public.auth_group_permissions OWNER TO "Directorio";

--
-- Name: auth_group_permissions_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE auth_group_permissions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.auth_group_permissions_id_seq OWNER TO "Directorio";

--
-- Name: auth_group_permissions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE auth_group_permissions_id_seq OWNED BY auth_group_permissions.id;


--
-- Name: auth_permission; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE auth_permission (
    id integer NOT NULL,
    name character varying(50) NOT NULL,
    content_type_id integer NOT NULL,
    codename character varying(100) NOT NULL
);


ALTER TABLE public.auth_permission OWNER TO "Directorio";

--
-- Name: auth_permission_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE auth_permission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.auth_permission_id_seq OWNER TO "Directorio";

--
-- Name: auth_permission_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE auth_permission_id_seq OWNED BY auth_permission.id;


--
-- Name: auth_user; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE auth_user (
    id integer NOT NULL,
    password character varying(128) NOT NULL,
    last_login timestamp with time zone NOT NULL,
    is_superuser boolean NOT NULL,
    username character varying(30) NOT NULL,
    first_name character varying(30) NOT NULL,
    last_name character varying(30) NOT NULL,
    email character varying(75) NOT NULL,
    is_staff boolean NOT NULL,
    is_active boolean NOT NULL,
    date_joined timestamp with time zone NOT NULL
);


ALTER TABLE public.auth_user OWNER TO "Directorio";

--
-- Name: auth_user_groups; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE auth_user_groups (
    id integer NOT NULL,
    user_id integer NOT NULL,
    group_id integer NOT NULL
);


ALTER TABLE public.auth_user_groups OWNER TO "Directorio";

--
-- Name: auth_user_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE auth_user_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.auth_user_groups_id_seq OWNER TO "Directorio";

--
-- Name: auth_user_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE auth_user_groups_id_seq OWNED BY auth_user_groups.id;


--
-- Name: auth_user_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE auth_user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.auth_user_id_seq OWNER TO "Directorio";

--
-- Name: auth_user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE auth_user_id_seq OWNED BY auth_user.id;


--
-- Name: auth_user_user_permissions; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE auth_user_user_permissions (
    id integer NOT NULL,
    user_id integer NOT NULL,
    permission_id integer NOT NULL
);


ALTER TABLE public.auth_user_user_permissions OWNER TO "Directorio";

--
-- Name: auth_user_user_permissions_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE auth_user_user_permissions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.auth_user_user_permissions_id_seq OWNER TO "Directorio";

--
-- Name: auth_user_user_permissions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE auth_user_user_permissions_id_seq OWNED BY auth_user_user_permissions.id;


--
-- Name: django_admin_log; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE django_admin_log (
    id integer NOT NULL,
    action_time timestamp with time zone NOT NULL,
    user_id integer NOT NULL,
    content_type_id integer,
    object_id text,
    object_repr character varying(200) NOT NULL,
    action_flag smallint NOT NULL,
    change_message text NOT NULL,
    CONSTRAINT django_admin_log_action_flag_check CHECK ((action_flag >= 0))
);


ALTER TABLE public.django_admin_log OWNER TO "Directorio";

--
-- Name: django_admin_log_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE django_admin_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.django_admin_log_id_seq OWNER TO "Directorio";

--
-- Name: django_admin_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE django_admin_log_id_seq OWNED BY django_admin_log.id;


--
-- Name: django_content_type; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE django_content_type (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    app_label character varying(100) NOT NULL,
    model character varying(100) NOT NULL
);


ALTER TABLE public.django_content_type OWNER TO "Directorio";

--
-- Name: django_content_type_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE django_content_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.django_content_type_id_seq OWNER TO "Directorio";

--
-- Name: django_content_type_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE django_content_type_id_seq OWNED BY django_content_type.id;


--
-- Name: django_session; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE django_session (
    session_key character varying(40) NOT NULL,
    session_data text NOT NULL,
    expire_date timestamp with time zone NOT NULL
);


ALTER TABLE public.django_session OWNER TO "Directorio";

--
-- Name: django_site; Type: TABLE; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE TABLE django_site (
    id integer NOT NULL,
    domain character varying(100) NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.django_site OWNER TO "Directorio";

--
-- Name: django_site_id_seq; Type: SEQUENCE; Schema: public; Owner: Directorio
--

CREATE SEQUENCE django_site_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.django_site_id_seq OWNER TO "Directorio";

--
-- Name: django_site_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: Directorio
--

ALTER SEQUENCE django_site_id_seq OWNED BY django_site.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_cat_cargos" ALTER COLUMN id SET DEFAULT nextval('"Directorio_cat_cargos_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_cat_nivel" ALTER COLUMN id SET DEFAULT nextval('"Directorio_cat_nivel_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_cat_persona" ALTER COLUMN id SET DEFAULT nextval('"Directorio_cat_persona_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_contacto" ALTER COLUMN id SET DEFAULT nextval('"Directorio_contacto_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_directorio" ALTER COLUMN id SET DEFAULT nextval('"Directorio_directorio_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_group ALTER COLUMN id SET DEFAULT nextval('auth_group_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_group_permissions ALTER COLUMN id SET DEFAULT nextval('auth_group_permissions_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_permission ALTER COLUMN id SET DEFAULT nextval('auth_permission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_user ALTER COLUMN id SET DEFAULT nextval('auth_user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_user_groups ALTER COLUMN id SET DEFAULT nextval('auth_user_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_user_user_permissions ALTER COLUMN id SET DEFAULT nextval('auth_user_user_permissions_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY django_admin_log ALTER COLUMN id SET DEFAULT nextval('django_admin_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY django_content_type ALTER COLUMN id SET DEFAULT nextval('django_content_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY django_site ALTER COLUMN id SET DEFAULT nextval('django_site_id_seq'::regclass);


--
-- Data for Name: Directorio_cat_cargos; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY "Directorio_cat_cargos" (id, clave, nombre) FROM stdin;
\.
COPY "Directorio_cat_cargos" (id, clave, nombre) FROM '$$PATH$$/2131.dat';

--
-- Name: Directorio_cat_cargos_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('"Directorio_cat_cargos_id_seq"', 4, true);


--
-- Data for Name: Directorio_cat_nivel; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY "Directorio_cat_nivel" (id, nombre) FROM stdin;
\.
COPY "Directorio_cat_nivel" (id, nombre) FROM '$$PATH$$/2127.dat';

--
-- Name: Directorio_cat_nivel_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('"Directorio_cat_nivel_id_seq"', 15, true);


--
-- Data for Name: Directorio_cat_persona; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY "Directorio_cat_persona" (id, foto, nombre, apellido_paterno, apellido_materno) FROM stdin;
\.
COPY "Directorio_cat_persona" (id, foto, nombre, apellido_paterno, apellido_materno) FROM '$$PATH$$/2133.dat';

--
-- Name: Directorio_cat_persona_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('"Directorio_cat_persona_id_seq"', 1, false);


--
-- Data for Name: Directorio_contacto; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY "Directorio_contacto" (id, dependencia_id, persona_id, cargo_id, correo, telefono, extencion, celular, direccion, pagina_web, longitud, latitud) FROM stdin;
\.
COPY "Directorio_contacto" (id, dependencia_id, persona_id, cargo_id, correo, telefono, extencion, celular, direccion, pagina_web, longitud, latitud) FROM '$$PATH$$/2135.dat';

--
-- Name: Directorio_contacto_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('"Directorio_contacto_id_seq"', 1, false);


--
-- Data for Name: Directorio_directorio; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY "Directorio_directorio" (id, padre_id, nombre, nivel_id) FROM stdin;
\.
COPY "Directorio_directorio" (id, padre_id, nombre, nivel_id) FROM '$$PATH$$/2129.dat';

--
-- Name: Directorio_directorio_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('"Directorio_directorio_id_seq"', 124, true);


--
-- Data for Name: auth_group; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY auth_group (id, name) FROM stdin;
\.
COPY auth_group (id, name) FROM '$$PATH$$/2112.dat';

--
-- Name: auth_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('auth_group_id_seq', 1, false);


--
-- Data for Name: auth_group_permissions; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY auth_group_permissions (id, group_id, permission_id) FROM stdin;
\.
COPY auth_group_permissions (id, group_id, permission_id) FROM '$$PATH$$/2110.dat';

--
-- Name: auth_group_permissions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('auth_group_permissions_id_seq', 1, false);


--
-- Data for Name: auth_permission; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY auth_permission (id, name, content_type_id, codename) FROM stdin;
\.
COPY auth_permission (id, name, content_type_id, codename) FROM '$$PATH$$/2108.dat';

--
-- Name: auth_permission_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('auth_permission_id_seq', 36, true);


--
-- Data for Name: auth_user; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY auth_user (id, password, last_login, is_superuser, username, first_name, last_name, email, is_staff, is_active, date_joined) FROM stdin;
\.
COPY auth_user (id, password, last_login, is_superuser, username, first_name, last_name, email, is_staff, is_active, date_joined) FROM '$$PATH$$/2118.dat';

--
-- Data for Name: auth_user_groups; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY auth_user_groups (id, user_id, group_id) FROM stdin;
\.
COPY auth_user_groups (id, user_id, group_id) FROM '$$PATH$$/2114.dat';

--
-- Name: auth_user_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('auth_user_groups_id_seq', 1, false);


--
-- Name: auth_user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('auth_user_id_seq', 1, true);


--
-- Data for Name: auth_user_user_permissions; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY auth_user_user_permissions (id, user_id, permission_id) FROM stdin;
\.
COPY auth_user_user_permissions (id, user_id, permission_id) FROM '$$PATH$$/2116.dat';

--
-- Name: auth_user_user_permissions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('auth_user_user_permissions_id_seq', 1, false);


--
-- Data for Name: django_admin_log; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY django_admin_log (id, action_time, user_id, content_type_id, object_id, object_repr, action_flag, change_message) FROM stdin;
\.
COPY django_admin_log (id, action_time, user_id, content_type_id, object_id, object_repr, action_flag, change_message) FROM '$$PATH$$/2125.dat';

--
-- Name: django_admin_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('django_admin_log_id_seq', 164, true);


--
-- Data for Name: django_content_type; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY django_content_type (id, name, app_label, model) FROM stdin;
\.
COPY django_content_type (id, name, app_label, model) FROM '$$PATH$$/2120.dat';

--
-- Name: django_content_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('django_content_type_id_seq', 12, true);


--
-- Data for Name: django_session; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY django_session (session_key, session_data, expire_date) FROM stdin;
\.
COPY django_session (session_key, session_data, expire_date) FROM '$$PATH$$/2121.dat';

--
-- Data for Name: django_site; Type: TABLE DATA; Schema: public; Owner: Directorio
--

COPY django_site (id, domain, name) FROM stdin;
\.
COPY django_site (id, domain, name) FROM '$$PATH$$/2123.dat';

--
-- Name: django_site_id_seq; Type: SEQUENCE SET; Schema: public; Owner: Directorio
--

SELECT pg_catalog.setval('django_site_id_seq', 1, true);


--
-- Name: Directorio_cat_cargos_nombre_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY "Directorio_cat_cargos"
    ADD CONSTRAINT "Directorio_cat_cargos_nombre_key" UNIQUE (nombre);


--
-- Name: Directorio_cat_cargos_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY "Directorio_cat_cargos"
    ADD CONSTRAINT "Directorio_cat_cargos_pkey" PRIMARY KEY (id);


--
-- Name: Directorio_cat_nivel_nombre_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY "Directorio_cat_nivel"
    ADD CONSTRAINT "Directorio_cat_nivel_nombre_key" UNIQUE (nombre);


--
-- Name: Directorio_cat_nivel_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY "Directorio_cat_nivel"
    ADD CONSTRAINT "Directorio_cat_nivel_pkey" PRIMARY KEY (id);


--
-- Name: Directorio_cat_persona_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY "Directorio_cat_persona"
    ADD CONSTRAINT "Directorio_cat_persona_pkey" PRIMARY KEY (id);


--
-- Name: Directorio_contacto_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY "Directorio_contacto"
    ADD CONSTRAINT "Directorio_contacto_pkey" PRIMARY KEY (id);


--
-- Name: Directorio_directorio_padre_id_nombre_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY "Directorio_directorio"
    ADD CONSTRAINT "Directorio_directorio_padre_id_nombre_key" UNIQUE (padre_id, nombre);


--
-- Name: Directorio_directorio_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY "Directorio_directorio"
    ADD CONSTRAINT "Directorio_directorio_pkey" PRIMARY KEY (id);


--
-- Name: auth_group_name_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_group
    ADD CONSTRAINT auth_group_name_key UNIQUE (name);


--
-- Name: auth_group_permissions_group_id_permission_id_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_group_permissions
    ADD CONSTRAINT auth_group_permissions_group_id_permission_id_key UNIQUE (group_id, permission_id);


--
-- Name: auth_group_permissions_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_group_permissions
    ADD CONSTRAINT auth_group_permissions_pkey PRIMARY KEY (id);


--
-- Name: auth_group_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_group
    ADD CONSTRAINT auth_group_pkey PRIMARY KEY (id);


--
-- Name: auth_permission_content_type_id_codename_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_permission
    ADD CONSTRAINT auth_permission_content_type_id_codename_key UNIQUE (content_type_id, codename);


--
-- Name: auth_permission_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_permission
    ADD CONSTRAINT auth_permission_pkey PRIMARY KEY (id);


--
-- Name: auth_user_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_user_groups
    ADD CONSTRAINT auth_user_groups_pkey PRIMARY KEY (id);


--
-- Name: auth_user_groups_user_id_group_id_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_user_groups
    ADD CONSTRAINT auth_user_groups_user_id_group_id_key UNIQUE (user_id, group_id);


--
-- Name: auth_user_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_user
    ADD CONSTRAINT auth_user_pkey PRIMARY KEY (id);


--
-- Name: auth_user_user_permissions_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_user_user_permissions
    ADD CONSTRAINT auth_user_user_permissions_pkey PRIMARY KEY (id);


--
-- Name: auth_user_user_permissions_user_id_permission_id_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_user_user_permissions
    ADD CONSTRAINT auth_user_user_permissions_user_id_permission_id_key UNIQUE (user_id, permission_id);


--
-- Name: auth_user_username_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY auth_user
    ADD CONSTRAINT auth_user_username_key UNIQUE (username);


--
-- Name: django_admin_log_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY django_admin_log
    ADD CONSTRAINT django_admin_log_pkey PRIMARY KEY (id);


--
-- Name: django_content_type_app_label_model_key; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY django_content_type
    ADD CONSTRAINT django_content_type_app_label_model_key UNIQUE (app_label, model);


--
-- Name: django_content_type_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY django_content_type
    ADD CONSTRAINT django_content_type_pkey PRIMARY KEY (id);


--
-- Name: django_session_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY django_session
    ADD CONSTRAINT django_session_pkey PRIMARY KEY (session_key);


--
-- Name: django_site_pkey; Type: CONSTRAINT; Schema: public; Owner: Directorio; Tablespace: 
--

ALTER TABLE ONLY django_site
    ADD CONSTRAINT django_site_pkey PRIMARY KEY (id);


--
-- Name: Directorio_contacto_cargo_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX "Directorio_contacto_cargo_id" ON "Directorio_contacto" USING btree (cargo_id);


--
-- Name: Directorio_contacto_dependencia_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX "Directorio_contacto_dependencia_id" ON "Directorio_contacto" USING btree (dependencia_id);


--
-- Name: Directorio_contacto_persona_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX "Directorio_contacto_persona_id" ON "Directorio_contacto" USING btree (persona_id);


--
-- Name: Directorio_directorio_nivel_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX "Directorio_directorio_nivel_id" ON "Directorio_directorio" USING btree (nivel_id);


--
-- Name: Directorio_directorio_padre_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX "Directorio_directorio_padre_id" ON "Directorio_directorio" USING btree (padre_id);


--
-- Name: auth_group_name_like; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX auth_group_name_like ON auth_group USING btree (name varchar_pattern_ops);


--
-- Name: auth_group_permissions_group_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX auth_group_permissions_group_id ON auth_group_permissions USING btree (group_id);


--
-- Name: auth_group_permissions_permission_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX auth_group_permissions_permission_id ON auth_group_permissions USING btree (permission_id);


--
-- Name: auth_permission_content_type_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX auth_permission_content_type_id ON auth_permission USING btree (content_type_id);


--
-- Name: auth_user_groups_group_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX auth_user_groups_group_id ON auth_user_groups USING btree (group_id);


--
-- Name: auth_user_groups_user_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX auth_user_groups_user_id ON auth_user_groups USING btree (user_id);


--
-- Name: auth_user_user_permissions_permission_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX auth_user_user_permissions_permission_id ON auth_user_user_permissions USING btree (permission_id);


--
-- Name: auth_user_user_permissions_user_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX auth_user_user_permissions_user_id ON auth_user_user_permissions USING btree (user_id);


--
-- Name: auth_user_username_like; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX auth_user_username_like ON auth_user USING btree (username varchar_pattern_ops);


--
-- Name: django_admin_log_content_type_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX django_admin_log_content_type_id ON django_admin_log USING btree (content_type_id);


--
-- Name: django_admin_log_user_id; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX django_admin_log_user_id ON django_admin_log USING btree (user_id);


--
-- Name: django_session_expire_date; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX django_session_expire_date ON django_session USING btree (expire_date);


--
-- Name: django_session_session_key_like; Type: INDEX; Schema: public; Owner: Directorio; Tablespace: 
--

CREATE INDEX django_session_session_key_like ON django_session USING btree (session_key varchar_pattern_ops);


--
-- Name: Directorio_contacto_cargo_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_contacto"
    ADD CONSTRAINT "Directorio_contacto_cargo_id_fkey" FOREIGN KEY (cargo_id) REFERENCES "Directorio_cat_cargos"(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: Directorio_contacto_dependencia_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_contacto"
    ADD CONSTRAINT "Directorio_contacto_dependencia_id_fkey" FOREIGN KEY (dependencia_id) REFERENCES "Directorio_directorio"(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: Directorio_contacto_persona_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_contacto"
    ADD CONSTRAINT "Directorio_contacto_persona_id_fkey" FOREIGN KEY (persona_id) REFERENCES "Directorio_cat_persona"(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: Directorio_directorio_nivel_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_directorio"
    ADD CONSTRAINT "Directorio_directorio_nivel_id_fkey" FOREIGN KEY (nivel_id) REFERENCES "Directorio_cat_nivel"(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_group_permissions_permission_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_group_permissions
    ADD CONSTRAINT auth_group_permissions_permission_id_fkey FOREIGN KEY (permission_id) REFERENCES auth_permission(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_user_groups_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_user_groups
    ADD CONSTRAINT auth_user_groups_group_id_fkey FOREIGN KEY (group_id) REFERENCES auth_group(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: auth_user_user_permissions_permission_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_user_user_permissions
    ADD CONSTRAINT auth_user_user_permissions_permission_id_fkey FOREIGN KEY (permission_id) REFERENCES auth_permission(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: content_type_id_refs_id_d043b34a; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_permission
    ADD CONSTRAINT content_type_id_refs_id_d043b34a FOREIGN KEY (content_type_id) REFERENCES django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: django_admin_log_content_type_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY django_admin_log
    ADD CONSTRAINT django_admin_log_content_type_id_fkey FOREIGN KEY (content_type_id) REFERENCES django_content_type(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: django_admin_log_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY django_admin_log
    ADD CONSTRAINT django_admin_log_user_id_fkey FOREIGN KEY (user_id) REFERENCES auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: group_id_refs_id_f4b32aac; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_group_permissions
    ADD CONSTRAINT group_id_refs_id_f4b32aac FOREIGN KEY (group_id) REFERENCES auth_group(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: padre_id_refs_id_687597bd; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY "Directorio_directorio"
    ADD CONSTRAINT padre_id_refs_id_687597bd FOREIGN KEY (padre_id) REFERENCES "Directorio_directorio"(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: user_id_refs_id_40c41112; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_user_groups
    ADD CONSTRAINT user_id_refs_id_40c41112 FOREIGN KEY (user_id) REFERENCES auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: user_id_refs_id_4dc23c39; Type: FK CONSTRAINT; Schema: public; Owner: Directorio
--

ALTER TABLE ONLY auth_user_user_permissions
    ADD CONSTRAINT user_id_refs_id_4dc23c39 FOREIGN KEY (user_id) REFERENCES auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

